#!/bin/sh -efu

[ "$LONG_OPTION" = 'change-files' ] || exit

cd "$RPM_BUILD_ROOT"
find -type f -writable  -path './lib/modules/*' -name '*.ko*' |
while read module; do
	compressor=$(file -i $module | sed 's|^.*application/x-||')
	if [ "$compressor" == 'object' ]; then
		sign-file sha256 $KMOD_PRIVATE $KMOD_X509 $module
	else
		$compressor -d $module
		uncompressed=$(echo $module | sed 's/\.ko\.[^\.]*$/.ko/')
		sign-file sha256 $KMOD_PRIVATE $KMOD_X509 $uncompressed
		$compressor $uncompressed
	fi
done
